libdap::D4Maps Class Reference

`#include <D4Maps.h>`

## Public Types

typedef vector< D4Map * >::const_iterator | D4MapsCIter
typedef vector< D4Map * >::iterator | D4MapsIter

## Public Member Functions

void | add_map (D4Map *map)
| D4Maps (const Array *parent)
| D4Maps (const D4Maps &maps)=delete
| D4Maps (const D4Maps &maps, const Array *parent)
bool | empty () const
D4Map * | get_map (int i)
D4MapsIter | map_begin ()
D4MapsIter | map_end ()
D4Maps & | operator= (const D4Maps &rhs)=delete
virtual void | print_dap4 (XMLWriter &xml)
void | remove_map (D4Map *map)
int | size () const

## Detailed Description

The D4Maps object holds pointers to all of the Maps used by a given Array.

Definition at line 119 of file D4Maps.h.

## Member Typedef Documentation

## D4MapsCIter

typedef vector<D4Map*>::const_iterator libdap::D4Maps::D4MapsCIter

Definition at line 122 of file D4Maps.h.

## D4MapsIter

typedef vector<D4Map*>::iterator libdap::D4Maps::D4MapsIter

Definition at line 121 of file D4Maps.h.

## Constructor & Destructor Documentation

## D4Maps() [1/2]

libdap::D4Maps::D4Maps | ( | const Array * | parent | ) |

inline explicit

Definition at line 142 of file D4Maps.h.

## D4Maps() [2/2]

libdap::D4Maps::D4Maps | ( | const D4Maps & | maps,
|  | const Array * | parent
| ) |  |

inline

Definition at line 143 of file D4Maps.h.

## ~D4Maps()

virtual libdap::D4Maps::~D4Maps | ( |  | ) |

inline virtual

Definition at line 145 of file D4Maps.h.

## Member Function Documentation

## add_map()

void libdap::D4Maps::add_map | ( | D4Map * | map | ) |

inline

Add a map. This does not test for duplicate names or Array pointers. It assumes that the caller has done that!

Definition at line 159 of file D4Maps.h.

## empty()

bool libdap::D4Maps::empty | ( |  | ) | const

inline

Definition at line 185 of file D4Maps.h.

## get_map()

D4Map * libdap::D4Maps::get_map | ( | int | i | ) |

inline

Definition at line 179 of file D4Maps.h.

## map_begin()

D4MapsIter libdap::D4Maps::map_begin | ( |  | ) |

inline

Definition at line 181 of file D4Maps.h.

## map_end()

D4MapsIter libdap::D4Maps::map_end | ( |  | ) |

inline

Definition at line 182 of file D4Maps.h.

## print_dap4()

virtual void libdap::D4Maps::print_dap4 | ( | XMLWriter & | xml | ) |

inline virtual

Definition at line 187 of file D4Maps.h.

## remove_map()

void libdap::D4Maps::remove_map | ( | D4Map * | map | ) |

inline

Definition at line 163 of file D4Maps.h.

## size()

int libdap::D4Maps::size | ( |  | ) | const

inline

Definition at line 184 of file D4Maps.h.

The documentation for this class was generated from the following file:

- D4Maps.h